## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jupyter-events
Version:        0.11.0
Release:        %autorelease
Summary:        Jupyter Event System library
License:        BSD-3-Clause
URL:            https://jupyter.org
Source:         %{pypi_source jupyter_events}
# Compatibility of tests with older json-logger
Patch:          https://github.com/jupyter/jupyter_events/pull/110.patch
BuildArch:      noarch
BuildRequires:  python3-devel
# Manual test deps - upstream contains coverage, pre-commit, …
BuildRequires:  python3-click
BuildRequires:  python3-rich
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-console-scripts

%global _description %{expand:
An event system for Jupyter Applications and extensions.}


%description %_description

%package -n     python3-jupyter-events
Summary:        %{summary}

%description -n python3-jupyter-events %_description


%prep
%autosetup -p1 -n jupyter_events-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_events


%check
%pytest


%files -n python3-jupyter-events -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-events

%changelog
## START: Generated by rpmautospec
* Wed Dec 18 2024 Lumir Balhar <lbalhar@redhat.com> - 0.11.0-1
- Update to 0.11.0 (rhbz#2332829)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 0.10.0-2
- Rebuilt for Python 3.13

* Mon Mar 18 2024 Lumir Balhar <lbalhar@redhat.com> - 0.10.0-1
- Update to 0.10.0 (rhbz#2270166)

* Wed Mar 13 2024 Lumir Balhar <lbalhar@redhat.com> - 0.9.1-1
- Update to 0.9.1 (rhbz#2269167)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 07 2023 Lumir Balhar <lbalhar@redhat.com> - 0.9.0-1
- Update to 0.9.0 (rhbz#2248153)

* Mon Oct 16 2023 Lumir Balhar <lbalhar@redhat.com> - 0.8.0-1
- Update to 0.8.0 (rhbz#2244394)

* Thu Sep 07 2023 Lumir Balhar <lbalhar@redhat.com> - 0.7.0-1
- Update to 0.7.0 (rhbz#2227772)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.6.3-3
- Adjust tests for taskName attribute added in Python 3.12

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 0.6.3-2
- Rebuilt for Python 3.12

* Wed Feb 15 2023 Lumir Balhar <lbalhar@redhat.com> - 0.6.3-1
- Update to 0.6.3 (rhbz#2159407)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
